## ros-indigo-carl-description 0.0.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_description)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

#############
## Install ##
#############

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Install meshes
install(DIRECTORY meshes/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes
)

## Install robot files
install(DIRECTORY robots/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/robots
)

## Install RVIZ configurations
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

## Install URDF files
install(DIRECTORY urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

=== debian/changelog ===
ros-indigo-carl-description (0.0.34-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-description (0.0.33-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 10 Aug 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.32-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.31-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.30-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.29-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.28-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.27-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.26-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.25-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.24-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.23-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.22-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.21-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.20-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.19-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.18-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.17-0trusty) trusty; urgency=high

  * Added an end effector frame for the JACO
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-description (0.0.16-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-description (0.0.15-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-carl-description (0.0.14-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-description (0.0.13-0trusty) trusty; urgency=high

  * New camera calibrations
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Wed, 21 Jan 2015 05:00:00 -0000

ros-indigo-carl-description (0.0.12-0trusty) trusty; urgency=high

  * Orientation filter ignores accelerometer measurements when anything more than the gravity vector is detected
  * Added joints to CARL urdf to allow for orientation adjustments from IMU data, implemented a static orientation correction from accelerometer data
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 19 Jan 2015 05:00:00 -0000

ros-indigo-carl-description (0.0.11-0trusty) trusty; urgency=high

  * travis fix
  * fixed minifiy
  * minify script
  * no more pre-built file
  * Updated transform between asus mount and asus; added carl_tools for miscellaneous packages, currently including calibration for the asus camera transform.
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-description (0.0.10-0trusty) trusty; urgency=high

  * reverted rviz
  * fixed rear struts. also rebuild urdf
  * rebuild urdf
  * fixed front cover and back strut
  * removed stls
  * reverted to original rviz
  * removed stls
  * ran xacro
  * removed screenshot
  * fixed castor plate. added screenshot
  * finished collision models. creative camera,mount,topplate,jacomount,camera lift
  * caster
  * servo arm, caster plate
  * servo
  * base, rear struts<
    >
  * wheels, front cover, camera, hokuyo
  * used cylinder for wheel collision model
  * Contributors: Peter

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-carl-description (0.0.9-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-carl-description (0.0.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-description (0.0.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 22 Sep 2014 04:00:00 -0000

ros-indigo-carl-description (0.0.6-0trusty) trusty; urgency=high

  * new URDF updated
  * updated back cover collision model to extend upwards, allowing motion planning to treat the back struts as a solid object for increased safety
  * Contributors: Russell Toris, dekent

 -- Russell Toris <rctoris@wpi.edu>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-carl-description (0.0.5-0trusty) trusty; urgency=high

  * added missing dep for carl_description
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-carl-description (0.0.4-0trusty) trusty; urgency=high

  * start position of arm fixed
  * fixed rotation of arm
  * JACO arm added back
  * rebuild of URDF
  * moved to minified DAE
  * re-wrote URDF to fix collision problems
  * new collision test


=== debian/control ===
Source: ros-indigo-carl-description
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/carl_description
Standards-Version: 3.9.2

Package: ros-indigo-carl-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jaco-description, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: URDF Files for CARL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
